<?php
/**
 * Metag Repeat
 * @package     Metag
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Metag_Repeat extends Metag
{
    /**
     * 参照テンプレートID
     * @var string
     */
    public $ref_template_id;
    /**
     * タグタイプ
     * @var string
     */
    public $node_type = 'repeat';
    /**
     * 表示名
     * @var string
     */
    public $display_name = 'リピート (repeat)';
    /**
     * ブロック要素かどうか
     * @var boolean
     */
    public $is_block = true;
    /**
     * リピート数制限
     * @var string
     */
    public $limit;
    /**
     * オフセット
     * @var string
     */
    public $offset;
    /**
     * ソート対象
     * @var string
     */
    public $sort_by;
    /**
     * ソート順
     * @var string
     */
    public $sort_order;
    /**
     * イコール
     * @var string
     */
    public $equal;
    /**
     * 属性リスト
     * @var array
     */
    public $attr_list = array(
        'id' => 'id',
        'ref_id' => 'ref_id',
        'ref_page_id' => 'ref_page_id',
        'ref_template_id' => 'ref_template_id',
        'limit' => 'limit',
        'offset' => 'offset',
        'sort_by' => 'sort_by',
        'sort_order' => 'sort_order',
        'equal' => 'equal',
    );

    /**
     * タグ編集
     */
    public function set_post_data()
    {
        $mapping = $this->attr_list;
        Me_Util::post_data_to_object($this, $mapping);
    }
}