<?php
/**
 * Metag Template
 * @package     Metag
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Metag_Template extends Metag
{
    /**
     * タグタイプ
     * @var string
     */
    public $node_type = 'template';
    /**
     * ブロック要素かどうか
     * @var boolean
     */
    public $is_block = true;
    /**
     * 要素配列
     * 要素のidを添字とした配列
     * @var array
     */
    public $id_node_list = array();
    /**
     * 参照ページリスト
     * @return array
     */
    public $ref_page_list;
    /**
     * 参照テンプレートリスト
     * @return array
     */
    public $ref_template_list;
    /**
     * テンプレートを参照しているrepeatタグ
     * @return array
     */
    public $ref_template_repeat = array();
    /**
     * モジュールVIEWファイルパスリスト
     * @return array
     */
    public $module_view_list;

    /**
     * 指定IDのMEタグを返す
     * @param string $id
     * @return object
     */
    public function get_element_by_id($id)
    {
        if (isset($this->id_node_list[$id])) {
            return $this->id_node_list[$id];
        } else {
            return null;
        }
    }
}