<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>システム - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'system_index.html'));?>

<div class="main container">
<ul class="breadcrumb">
<li>
<a href="../Main/index">ホーム</a> <span class="divider">/</span>
</li>
<li class="active">システム</li>
</ul>

<div class="row">
<?php if (User_Role::require_admin(false)): ?>
<div class="span2"><a href="../User/index">ユーザー管理</a></div>
<div class="span8">ユーザーの管理・追加などを行います。</div>
<?php else: ?>
<div class="span2"><a href="../User/edit?ui=<?php h::p($login_user->_id) ?>">ユーザー編集</a></div>
<div class="span8">パスワード変更などを行います。</div>
<?php endif; ?>
<hr class="span12">

<?php if (User_Role::require_admin(false)): ?>
<div class="span2"><a href="../System/edit_config">設定ファイル編集</a></div>
<div class="span8">MicroEngineのユーザー設定ファイルを編集します。</div>
<hr class="span12">
<?php endif; ?>

<?php if (User_Role::require_designer(false)): ?>
<div class="span2"><a href="../Page/sync_file">ファイル同期</a></div>
<div class="span10">システムのデータベース情報とファイルシステム上の情報を同期します。</div>
<hr class="span12">
<?php endif; ?>

<?php if (User_Role::require_admin(false)): ?>
<div class="span2"><a href="../License/index">ライセンス管理</a></div>
<div class="span10">製品ライセンスを管理します。</div>
<hr class="span12">
<?php endif; ?>

<?php if (User_Role::require_admin(false)): ?>
<div class="span2"><a href="../Log/index">ログ閲覧</a></div>
<div class="span10">管理画面での操作ログを表示します。</div>
<hr class="span12">
<?php endif; ?>

<?php if (User_Role::require_designer(false)): ?>
<div class="span2"><a href="../System/credits">著作権情報</a></div>
<div class="span10">著作権情報を表示します。</div>
<hr class="span12">
<?php endif; ?>
</div>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>